## ALLVERSUSALL documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Sequence similarity data from all-versus-all comparison

## 2.0 INPUTS & OUTPUTS

ALLVERSUSALL reads a directory of files each containing a set of 2 or more sequences, performs an all-versus-all global alignment on each set and writes a file of sequence similarity values for each input file. The output files have the same base name as the input files. The path and extension of the input and output files are specified by the user in the ACD file.

## 3.0 INPUT FILE FORMAT

All common sequence format are supported.

## 4.0 OUTPUT FILE FORMAT

The output file contains 7 columns as follows:

- (1) Sequence number (sequential order in input file) of first sequence of a pair.
- (2) Accesion number of first sequence of a pair.
- (3) A ':' is always given.
- (4) Sequence number of second sequence.
- (5) Accesion number of second sequence.
- (6) A ':' is always given.
- (7) Sequence similarity value (2dp).

### Output files for usage example

### File: swtiny1.out

    1 Q9WVI4 : 2 Q9ERL9 : 90.48
    1 Q9WVI4 : 3 Q9DGG6 : 55.70
    1 Q9WVI4 : 4 Q99396 : 54.74
    1 Q9WVI4 : 5 Q99280 : 57.66
    2 Q9ERL9 : 3 Q9DGG6 : 58.28
    2 Q9ERL9 : 4 Q99396 : 56.39
    2 Q9ERL9 : 5 Q99280 : 62.31
    3 Q9DGG6 : 4 Q99396 : 52.26
    3 Q9DGG6 : 5 Q99280 : 53.99
    4 Q99396 : 5 Q99280 : 83.41

### File: swtiny2.out

    1 O58452 : 2 O30129 : 82.42
    1 O58452 : 3 O26938 : 75.56
    2 O30129 : 3 O26938 : 71.43

### File: allversusall.log

    //
    /homes/user/test/data/structure/allversusall/swtiny1.fasta
    //
    /homes/user/test/data/structure/allversusall/swtiny2.fasta

## 5.0 DATA FILES

ALLVERSUSALL uses a residue substitution matrix.

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

       Standard (Mandatory) qualifiers:
      [-seqinpath]         dirlist    [./] (no help text) dirlist value
      [-datoutdir]         outdir     [./] This option specifies the location of
                                      sequence similarity data files (output).
       -logfile            outfile    [allversusall.log] This option specifies the
                                      name of ALLVERSUSALL log file (output). The
                                      log file contains messages about any errors
                                      arising while ALLVERSUSALL ran.

       Additional (Optional) qualifiers:
       -matrix             matrixf    [EBLOSUM62] This option specifies the
                                      residue substitution matrix that is used for
                                      sequence comparison.
       -gapopen            float      [10.0 for any sequence] This option
                                      specifies the gap insertion penalty. The gap
                                      insertion penalty is the score taken away
                                      when a gap is created. The best value
                                      depends on the choice of comparison matrix.
                                      The default value assumes you are using the
                                      EBLOSUM62 matrix for protein sequences, and
                                      the EDNAFULL matrix for nucleotide
                                      sequences. (Floating point number from 1.0
                                      to 100.0)
       -gapextend          float      [0.5 for any sequence] This option specifies
                                      the gap extension penalty. The gap
                                      extension, penalty is added to the standard
                                      gap penalty for each base or residue in the
                                      gap. This is how long gaps are penalized.
                                      Usually you will expect a few long gaps
                                      rather than many short gaps, so the gap
                                      extension penalty should be lower than the
                                      gap penalty. An exception is where one or
                                      both sequences are single reads with
                                      possible sequencing errors in which case you
                                      would expect many single base gaps. You can
                                      get this result by setting the gap open
                                      penalty to zero (or very low) and using the
                                      gap extension penalty to control gap
                                      scoring. (Floating point number from 0.0 to
                                      10.0)

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-logfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-seqinpath] (Parameter 1) | (no help text) dirlist value | Directory with files | ./
[-datoutdir] (Parameter 2) | This option specifies the location of sequence similarity data files (output). | Output directory | ./
-logfile | This option specifies the name of ALLVERSUSALL log file (output). The log file contains messages about any errors arising while ALLVERSUSALL ran. | Output file | allversusall.log
Additional (Optional) qualifiers | Allowed values | Default
-matrix | This option specifies the residue substitution matrix that is used for sequence comparison. | Comparison matrix file in EMBOSS data path | EBLOSUM62
-gapopen | This option specifies the gap insertion penalty. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences. | Floating point number from 1.0 to 100.0 | 10.0 for any sequence

-gapextend

This option specifies the gap extension penalty. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring.

Floating point number from 0.0 to 10.0

0.5 for any sequence

Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

### 6.2 EXAMPLE SESSION

An example of interactive use of ALLVERSUSALL is shown below. Here is a sample session with allversusall

    % allversusall
    Sequence similarity data from all-versus-all comparison.
    Sequence directories [./]: allversusall/
    Location of sequence similarity data files (output) [./]:
    Name allversusall log file (output) [allversusall.log]:

    Processing /homes/user/test/data/structure/allversusall/swtiny1.fasta
    Processing /homes/user/test/data/structure/allversusall/swtiny2.fasta

Go to the output files for this example

## 7.0 KNOWN BUGS & WARNINGS

None.

## 8.0 NOTES

### 8.1 GLOSSARY OF FILE TYPES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO

Domain hits file

DHF format (FASTA-like).

Database hits (sequences) with domain classification information. The hits are relatives to a SCOP or CATH family (or other node in the structural hierarchies) and are found from a search of a discriminating element (e.g. a protein signature, hidden Markov model, simple frequency matrix, Gribskov profile or Hennikoff profile) against a sequence database.

SEQSEARCH (hits retrieved by PSIBLAST). SIGSCAN (hits retrieved by sparse protein signature). LIBSCAN (hits retrieved by various types of HMM and profile).

N.A.

## 9.0 DESCRIPTION

All-versus-all sequence comparisons are commonly required. ALLVERSUSALL performs a full global pair-wise alignment for every permutation of pair of sequence in each input set of sequences. It writes a file of sequence similarity values for each input set of sequences.

## 10.0 ALGORITHM

Standard N&W type alignment.

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
aaindexextract | Extract data from AAINDEX
cathparse | Generates DCF file from raw CATH files
cutgextract | Extract data from CUTG
domainer | Generates domain CCF files from protein CCF files
domainnr | Removes redundant domains from a DCF file
domainseqs | Adds sequence records to a DCF file
domainsse | Add secondary structure records to a DCF file
hetparse | Converts heterogen group dictionary to EMBL-like format
pdbparse | Parses PDB files and writes protein CCF files
pdbplus | Add accessibility & secondary structure to a CCF file
pdbtosp | Convert swissprot:PDB codes file to EMBL-like format
printsextract | Extract data from PRINTS
prosextract | Build the PROSITE motif database for use by patmatmotifs
rebaseextract | Extract data from REBASE
scopparse | Generate DCF file from raw SCOP files
seqnr | Removes redundancy from DHF files
sites | Generate residue-ligand CON files from CCF files
ssematch | Search a DCF file for secondary structure matches
tfextract | Extract data from TRANSFAC

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Jon Ison (jison@ebi.ac.uk)
The European Bioinformatics Institute Wellcome Trust Genome Campus Cambridge CB10 1SD UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS. Please cite the authors and EMBOSS.
Rice P, Longden I and Bleasby A (2000) "EMBOSS - The European Molecular Biology Open Software Suite" Trends in Genetics, 15:276-278.

See also http://emboss.sourceforge.net/

### 14.1 Other useful references